//	Microworks ObjectMate 2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SDIVIDER.CPP 

#include <owl\owlpch.h>
#include <sfx\sfx200.h>
#include "sfx\sdivider.h"

IMPLEMENT_STREAMABLE_FROM_BASE(TSFXDivider, TControl);

//	constructor for a TSFXDivider object

TSFXDivider::TSFXDivider(TWindow*        parent,
						 int             id,
						 int x, int y, int length,
						 BOOL            isVertical,
						 BOOL            isHump,
						 BOOL            borStyle,
						 TModule*        module)
	:TControl(parent, id, "", x, y, 0, 0, module)
{
	Attr.Style = (WS_CHILD | WS_VISIBLE | WS_GROUP);
	if (isVertical)
    {
    	isHump ? (Attr.Style |= MSH_VHUMP) : (Attr.Style |= MSH_VDIP);
		Attr.H = length;
	}
	else
	{
		isHump ? (Attr.Style |= MSH_HHUMP) : (Attr.Style |= MSH_HDIP);
		Attr.W = length;
	}
	if (borStyle)                                           
		Attr.Style |= MSH_BORSTYLE;
}

//	constructor for a TSFXDivider resource object 

TSFXDivider::TSFXDivider(TWindow* parent, int resourceId, TModule* module)
	:TControl(parent, resourceId, module)
{
	DisableTransfer();
}

char far*
TSFXDivider::GetClassName()
{
	return "SFXSHADE";
}

